﻿namespace Mirea.Api.Security.Common.Domain;

public enum SecondFactor
{
    None,
    Totp
}

public class User
{
    public required int Id { get; set; }
    public required string Username { get; set; }
    public required string Email { get; set; }
    public required string PasswordHash { get; set; }
    public required string Salt { get; set; }
    public required SecondFactor SecondFactor { get; set; }
    public string? SecondFactorToken { get; set; }
}